Support Center

Epic Games Launcher System Requirements

Last Updated: Feb 10, 2017 05:57AM EST
Please be aware that these requirements are for the launcher only. System requirements may vary for other products, and additional HDD space may be needed to download marketplace content or other products.
 
PC Minimum system requirements:
 
OS: Windows 7 and up
CPU: Intel Core 2 Duo / AMD Athlon 2x2
RAM: 2GB
GPU: NVIDIA Geforce 7800 (512mb)/AMD Radeon HD 4600 (512MB)/Intel HD 4000
DirectX 9.0c
1.5GB HDD space
 
PC Recommended system specifications:
 
CPU: Intel i5 / AMD A4
RAM: 4GB
GPU: NVIDIA GT 540 1GB / AMD 5550 1GB
DirectX 11
1.5GB HDD space

Contact Us

0b4c5e725dabfd13129a608f44c26b1f@epicgames.desk-mail.com
http://assets0.desk.com/
false
desk
Liquid error: undefined method `gsub' for nil:NilClass
seconds ago
Liquid error: undefined method `gsub' for nil:NilClass
Liquid error: undefined method `gsub' for nil:NilClass
Liquid error: undefined method `gsub' for nil:NilClass
Liquid error: undefined method `gsub' for nil:NilClass
Liquid error: undefined method `gsub' for nil:NilClass
Liquid error: undefined method `gsub' for nil:NilClass
about
false
Liquid error: undefined method `gsub' for nil:NilClass
/customer/en/portal/articles/autocomplete